Lister vos notifications en échec
curl --request GET \
--url https://guichet.apidjonanko.tech/v1/merchants/me/webhooks \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://guichet.apidjonanko.tech/v1/merchants/me/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guichet.apidjonanko.tech/v1/merchants/me/webhooks"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://guichet.apidjonanko.tech/v1/merchants/me/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-api-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"total": 123,
"limit": 123,
"offset": 123,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "evt_9f1c2b7e4a5d4c8fb0a1e2d3c4b5a697",
"eventType": "cashin.succeeded",
"operationReference": "<string>",
"status": "PENDING",
"attempts": 123,
"maxAttempts": 123,
"lastHttpStatus": 123,
"lastError": "<string>",
"nextRetryAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"payload": {}
}
]
}{
"success": false,
"error": {
"code": "INVALID_CREDENTIALS",
"message": "Identifiants API invalides."
},
"requestId": "9f1c2b7e-4a5d-4c8f-b0a1-e2d3c4b5a697",
"timestamp": "2026-10-01T10:12:04.000Z"
}Notifications
Lister vos notifications en échec
Par défaut, les notifications en attente de rejeu et celles abandonnées. La charge complète est incluse : vous pouvez la traiter sans attendre un rejeu.
GET
/
merchants
/
me
/
webhooks
Lister vos notifications en échec
La charge complète (
payload) est incluse : vous pouvez la traiter directement, sans attendre un rejeu.Surveillez cet endpoint : une accumulation de FAILED ou ABANDONED signifie que vous perdez des confirmations d’encaissement.Authorizations
Votre clé publique, préfixée gk_live_ (ou gk_test_).
Votre secret, préfixé gs_live_ (ou gs_test_). Affiché une seule fois, à l'émission de la clé. Il ne doit jamais quitter vos serveurs.
Query Parameters
FAILED (rejeu programmé), ABANDONED (définitif), SUCCESS ou PENDING. À défaut, FAILED et ABANDONED.
Available options:
PENDING, SUCCESS, FAILED, ABANDONED Nombre maximum d'éléments renvoyés.
Required range:
1 <= x <= 200Nombre d'éléments à ignorer avant de commencer la page.
Required range:
x >= 0